### Hierarchy

- NoelEventError
  - NoelEventConfigError

### Implements

- Error

## Index

### Constructors

- constructor

### Properties

- message
- name
- stack

## Constructors

### constructor

- new NoelEventConfigError(message: string): NoelEventConfigError

- Overrides NoelEventError.constructor

  - Defined in errors.ts:36

  #### Parameters

  - ##### message: string

  #### Returns NoelEventConfigError

## Properties

### message

message: string

Inherited from BaseError.message

- Defined in /Users/joelhernandez/Documents/code/open-source/noel/node_modules/make-error/index.d.ts:21

### name

name: string

Inherited from BaseError.name

- Defined in /Users/joelhernandez/Documents/code/open-source/noel/node_modules/make-error/index.d.ts:22

### stack

stack: string

Inherited from BaseError.stack

- Defined in /Users/joelhernandez/Documents/code/open-source/noel/node_modules/make-error/index.d.ts:23

Generated using TypeDoc